/* MONITORING TEMPERATURE WITH MLX90614 IR SENSOR and OUTPUT TO OLED SCREEN */
/*  TeZ - 2017  */

#include <Wire.h>
#include <Adafruit_MLX90614.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define OLED_RESET 4
Adafruit_SSD1306 display(OLED_RESET);

#define LOGO16_GLCD_HEIGHT 16 
#define LOGO16_GLCD_WIDTH  16 
static const unsigned char PROGMEM logo16_glcd_bmp[] =
{ B00000000, B11000000,
  B00000001, B11000000,
  B00000001, B11000000,
  B00000011, B11100000,
  B11110011, B11100000,
  B11111110, B11111000,
  B01111110, B11111111,
  B00110011, B10011111,
  B00011111, B11111100,
  B00001101, B01110000,
  B00011011, B10100000,
  B00111111, B11100000,
  B00111111, B11110000,
  B01111100, B11110000,
  B01110000, B01110000,
  B00000000, B00110000 };

#if (SSD1306_LCDHEIGHT != 32)
#error("Height incorrect, please fix Adafruit_SSD1306.h!");
#endif

float TC, TF;

// allocate sensor 
Adafruit_MLX90614 mlx = Adafruit_MLX90614();

void setup() {


// INIT SERIAL
  Serial.begin(9600);
  Serial.println("Adafruit MLX90614 test");  

  // INIT IR SENSOR
  mlx.begin();

   // test print lcd

  // INIT OLED DISPLAY
  display.begin(SSD1306_SWITCHCAPVCC, 0x3C);  // initialize with the I2C addr 0x3C (for the 128x32)
  // init done
  
  // Show image buffer on the display hardware.
  // Since the buffer is intialized with an Adafruit splashscreen
  // internally, this will display the splashscreen.
  display.display();
  delay(1000);
  
}

void loop() {

  // read and print from temperature sensor (in Celsius)
  TC=mlx.readObjectTempC();
 // Serial.println(TC);

  // OLED display
  display.clearDisplay();
  display.setTextSize(1);
  display.setTextColor(BLACK, WHITE);// 'inverted' text
  display.setCursor(0,0);
  display.print("Temp.[c]:");
  display.setTextColor(WHITE); 
  display.print(" ");
  display.print(TC);
  display.display();   
   

  delay(50);
}
